The SimdJsonException class

- « simdjson_key_value

- SimdJsonValueError »

- PHP Manual
- Simdjson
- The SimdJsonException class

# The SimdJsonException class

(PECL simdjson >= 2.1.0)

## Introduction

Exception thrown if simdjson_decode(), simdjson_key_count(), simdjson_key_exists(), or simdjson_key_value(). For possible values see the simdjson error codes constants.

## Class synopsis

class SimdJsonException extends RuntimeException {
/* Inherited properties */
protected string $message = "";
private string $string = "";
protected int $code;
protected string $file = "";
protected int $line;
private array $trace = [];
private ?Throwable $previous = null;
}